/* Encendre un led amb el receptor sense fils XY-MK-5V de 433 Mhz
 * Comunicació des del transmissor sense fils FS1000A de 433 Mhz
 * - Encén el led si rep el caràcter "a"
 * - Apaga el led si rep el caràcter "b"
 */
 
#include <VirtualWire.h>

void setup()
{
    Serial.begin(9600);
    Serial.println("setup");
    pinMode(13, OUTPUT);
    digitalWrite(13, false);
    // inicialització del mòdul RF
    vw_setup(2000);                  // velocitat: bits per segon
    vw_set_rx_pin(2);                // pin 2: entrada del mòdul RF
    vw_rx_start();                   // inicialització del receptor
}

void loop()
{
    uint8_t dato;
    uint8_t datoleng=1;
    // comprovació de dades rebudes pel mòdul RF
    if (vw_get_message(&dato,&datoleng))
    {
        if((char)dato=='a')
        {
            digitalWrite(13, true);  // encesa del led
        }
        else if((char)dato=='b')
        {
            digitalWrite(13, false); // apagada del led
        }            
    }
}
